> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

> Get started with Verisoul ID Check verification

This guide will help you quickly implement ID Check verification in your application. The entire process takes just a few minutes to set up.

<Note>
  To run the app a Verisoul API Key is required. <a href="https://meetings.hubspot.com/henry-legard" target="_blank">Schedule a call</a> to get started.
</Note>

## Get Started

<Steps>
  <Step title="Fetch an ID Check session">
    Use your Verisoul API Key to create a new ID Check session:

    ```bash theme={null}
    curl --location 'https://api.sandbox.verisoul.ai/liveness/session?id=true&account_id=idcheck-quickstart-account' \
    --header 'x-api-key: {VERISOUL_API_KEY}'
    ```

    <Tip>
      This will return a `session_id` that you'll need for the next steps.
    </Tip>

    <Note>
      `account_id` is your unique identifier for the user — replace `idcheck-quickstart-account` with your actual user's identifier. The completed session is tied to this account automatically.
    </Note>
  </Step>

  <Step title="Navigate to ID Check">
    Direct your user to the ID Check verification page in any browser:

    ```
    https://app.sandbox.verisoul.ai?session_id={VERISOUL_SESSION_ID}
    ```

    <div className="mt-4">
      <p>The user will complete a quick verification process that includes taking a selfie video and uploading their identity document.</p>
    </div>
  </Step>

  <Step title="Use Verisoul API to Verify the session">
    Get the verification result for the completed session:

    ```bash theme={null}
    curl --location 'https://api.sandbox.verisoul.ai/liveness/verify-id' \
    --header 'Content-Type: application/json' \
    --header 'x-api-key: {VERISOUL_API_KEY}' \
    --data '{
        "session_id": "{VERISOUL_SESSION_ID}"
    }'
    ```

    <Note>
      The response includes the **Decision**, **Risk Score**, and **Risk Flags**. See [Response Signals](/verifications/id-check/integration/response-signals) for how to interpret them.
    </Note>
  </Step>
</Steps>

## That's it!

Now you can navigate to the ID Check dashboard to see a record of your session.

### Alternative Testing Option

If you prefer to quickly test ID Check with some users, we offer a Public Redirect endpoint that doesn't a full integration.

This endpoint provides a *public* URL that you can share with test users. However, please note that this is not the recommended integration method and is intended only for temporary testing purposes. Since the redirect link is completely public, users can share it with others, which may lead to increased costs.

For more details on this endpoint, see our [API Reference](/api-reference/id-check/public-redirect).

## Next Steps

<CardGroup cols={2}>
  <Card title="Integration Guide" icon="code" iconType="duotone" href="/verifications/id-check/integration">
    Detailed instructions for integrating ID Check into your application
  </Card>

  <Card title="API Reference" icon="server" iconType="duotone" href="/api-reference/id-check/session">
    Complete API documentation for ID Check endpoints
  </Card>
</CardGroup>
